The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Выпуск пакетного менеджера APT 2.0"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от opennews (ok), 08-Мрт-20, 09:03 
Подготовлен релиз инструментария для управления пакетами APT 2.0 (Advanced Package Tool), развиваемого проектом Debian. Кроме Debian и производных от него дистрибутивов APT также применяется в некоторых дистрибутивах на основе пакетного менеджера rpm, таких как PCLinuxOS и ALT Linux. Новая ветка вобрала в себя изменения, накопленные в процессе разработки экспериментальной ветки 1.9.x.  Новый выпуск в ближайшее время будет интегрирован в ветку Debian Unstable и в пакетную базу Ubuntu (в Ubuntu 19.10 использовалась экспериментальная ветка 1.9)...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=52503

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Выпуск пакетного менеджера APT 2.0"  +55 +/
Сообщение от A.Stahl (ok), 08-Мрт-20, 09:03 
>apt list '~i !~M (~slibs|~sperl|~spython)'
>apt-get satisfy "foo" "Conflicts: bar" "baz (>> 1.0) | bar (= 2.0), moo"

Нечитабельная жесть.

Ответить | Правка | Наверх | Cообщить модератору

3. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (3), 08-Мрт-20, 09:33 
Расскажите, как надо было сделать.
Ответить | Правка | Наверх | Cообщить модератору

4. "Выпуск пакетного менеджера APT 2.0"  +19 +/
Сообщение от A.Stahl (ok), 08-Мрт-20, 09:39 
Нужно было сделать более удобно.
Ответить | Правка | Наверх | Cообщить модератору

8. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Аноним (8), 08-Мрт-20, 10:13 
удобно не про Linux, пользователи должны мучаться и запоминать, иначе ты неосилятор и ...
Ответить | Правка | Наверх | Cообщить модератору

15. "Выпуск пакетного менеджера APT 2.0"  –41 +/
Сообщение от Аноним (15), 08-Мрт-20, 10:55 
Мак - это удобно. Линукс, винда итд итп - не удобно. Говорю из 10-ти летнего опыта использования линукса и 20-ти летнего опыта использования винды.
Ответить | Правка | Наверх | Cообщить модератору

18. "Выпуск пакетного менеджера APT 2.0"  +32 +/
Сообщение от Fracta1L (ok), 08-Мрт-20, 11:08 
> Мак - это удобно

Я думал, опиатные торчки повымирали все

Ответить | Правка | Наверх | Cообщить модератору

183. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 08-Мрт-20, 22:46 
А вот и хрен тебе, вылез вот. Видимо пытался проиллюстрировать китайскую мудрость что насыщает не время проведенное в столовой, а количество съеденного.
Ответить | Правка | Наверх | Cообщить модератору

20. Скрыто модератором  –4 +/
Сообщение от Catwoolfiiemail (ok), 08-Мрт-20, 11:12 
Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

27. Скрыто модератором  +/
Сообщение от A.Stahl (ok), 08-Мрт-20, 11:29 
Ответить | Правка | Наверх | Cообщить модератору

66. Скрыто модератором  +1 +/
Сообщение от Дегенератор (ok), 08-Мрт-20, 13:43 
Ответить | Правка | Наверх | Cообщить модератору

134. Скрыто модератором  +/
Сообщение от псевдонимус (?), 08-Мрт-20, 17:36 
Ответить | Правка | Наверх | Cообщить модератору

185. Скрыто модератором  +/
Сообщение от Дегенератор (ok), 08-Мрт-20, 22:51 
Ответить | Правка | Наверх | Cообщить модератору

80. Скрыто модератором  +8 +/
Сообщение от Аноним (80), 08-Мрт-20, 14:35 
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

94. Скрыто модератором  +/
Сообщение от Аноним (15), 08-Мрт-20, 15:37 
Ответить | Правка | Наверх | Cообщить модератору

100. Скрыто модератором  +1 +/
Сообщение от Аноним (100), 08-Мрт-20, 16:05 
Ответить | Правка | Наверх | Cообщить модератору

107. Скрыто модератором  +1 +/
Сообщение от Суп из потрошков (?), 08-Мрт-20, 16:20 
Ответить | Правка | Наверх | Cообщить модератору

141. Скрыто модератором  +/
Сообщение от Аноним (80), 08-Мрт-20, 18:09 
Ответить | Правка | Наверх | Cообщить модератору

170. Скрыто модератором  +/
Сообщение от Аноним (15), 08-Мрт-20, 20:32 
Ответить | Правка | К родителю #100 | Наверх | Cообщить модератору

96. Скрыто модератором  –4 +/
Сообщение от AntonAlekseevichemail (ok), 08-Мрт-20, 15:45 
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

103. Скрыто модератором  +1 +/
Сообщение от A.Stahl (ok), 08-Мрт-20, 16:14 
Ответить | Правка | Наверх | Cообщить модератору

135. Скрыто модератором  +1 +/
Сообщение от псевдонимус (?), 08-Мрт-20, 17:39 
Ответить | Правка | К родителю #96 | Наверх | Cообщить модератору

136. Скрыто модератором  +1 +/
Сообщение от псевдонимус (?), 08-Мрт-20, 17:40 
Ответить | Правка | К родителю #96 | Наверх | Cообщить модератору

140. Скрыто модератором  +1 +/
Сообщение от Аноним (80), 08-Мрт-20, 18:08 
Ответить | Правка | Наверх | Cообщить модератору

148. Скрыто модератором  +1 +/
Сообщение от псевдонимус (?), 08-Мрт-20, 18:43 
Ответить | Правка | Наверх | Cообщить модератору

154. Скрыто модератором  –1 +/
Сообщение от Квазинимус (?), 08-Мрт-20, 19:40 
Ответить | Правка | К родителю #136 | Наверх | Cообщить модератору

166. Скрыто модератором  –2 +/
Сообщение от псевдонимус (?), 08-Мрт-20, 20:10 
Ответить | Правка | Наверх | Cообщить модератору

71. "Выпуск пакетного менеджера APT 2.0"  –4 +/
Сообщение от fske (?), 08-Мрт-20, 13:57 
Хорошо, хорошо. Нацеди себе смузи и не нервничай больше.
Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

144. "Выпуск пакетного менеджера APT 2.0"  +3 +/
Сообщение от Аноним (144), 08-Мрт-20, 18:33 
> Мак - это удобно. Линукс, винда итд итп - не удобно. Говорю из 10-ти летнего опыта использования линукса и 20-ти летнего опыта использования винды.

Очевидно, и 0-го опыта использования мака.

Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

146. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от artenox (?), 08-Мрт-20, 18:40 
Кстати, по английски мак - poppy.
Еще есть такая французская группа https://www.youtube.com/watch?v=jU1dxd3_Tow
Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

299. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (299), 11-Мрт-20, 21:53 
> New Poppys

Хотя, "Les Petits Chanteurs à la Croix de Bois", конечно, лучше.

Ответить | Правка | Наверх | Cообщить модератору

16. "Выпуск пакетного менеджера APT 2.0"  –4 +/
Сообщение от Аноним (3), 08-Мрт-20, 10:57 
Конкретнее, пожалуйста. Как именно?
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

31. "Выпуск пакетного менеджера APT 2.0"  +5 +/
Сообщение от microcoder (ok), 08-Мрт-20, 11:41 
Элементарно. Оставить всем до боли знакомые RegExp'ы
Ответить | Правка | Наверх | Cообщить модератору

54. "Выпуск пакетного менеджера APT 2.0"  +3 +/
Сообщение от Аноним (54), 08-Мрт-20, 12:43 
И как ты заматчишь регулярками одновременно название, описание, статус, теги?.. Получится такая же хрень всмятку. *Одной* регуляркой не получится.
Ответить | Правка | Наверх | Cообщить модератору

65. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от microcoder (ok), 08-Мрт-20, 13:34 
Если это получается "такая же хрень всмятку", то зачем мучить кактус? Может оставить как есть, так хоть RegExp'ы выучат и они еще много где пригодятся. А эту, "хрень" исключительно для apt'а запоминать?
Ответить | Правка | Наверх | Cообщить модератору

67. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 13:45 
Как минимум, "эта хрень" прекрасно генерируется и куда более понятна, чем регехп, так привязана к семантике, а не тупо к строкам
Ответить | Правка | Наверх | Cообщить модератору

75. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Анончик999 (?), 08-Мрт-20, 14:11 
так и надо до...бам страдать!!!
Ответить | Правка | Наверх | Cообщить модератору

269. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (269), 09-Мрт-20, 21:30 
> так и надо до...бам страдать!!!

В *nix-way люди как бы соглашаются запомнить ряд странноватых вещей для разгона своей эффективности. Есть и читаемые варианты, но клаву топтать впятеро дольше, так что пусть так юзеры powershell упражняются, чтоли. Они привычные.

Ответить | Правка | Наверх | Cообщить модератору

93. "Выпуск пакетного менеджера APT 2.0"  +5 +/
Сообщение от Аноним (93), 08-Мрт-20, 15:36 
а зачем одно регуляркой?
--name REGEXP1 --description REGEXP2 --tag REGEXP3 etc
Ответить | Правка | К родителю #54 | Наверх | Cообщить модератору

98. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (54), 08-Мрт-20, 15:52 
И в чём тогда разница? :)
Ответить | Правка | Наверх | Cообщить модератору

158. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от user (??), 08-Мрт-20, 19:55 
В таком варианте нет логических выражений.
Ответить | Правка | Наверх | Cообщить модератору

184. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 08-Мрт-20, 22:49 
> --name REGEXP1 --description REGEXP2 --tag REGEXP3 etc

И ... и ... и их постепенно будет примерно 200 штук? А рука не устанет? Клаву, в смысле, топтать? И как, например, найти description но с tag != такому-то значению? Ну вот например я хочу карточную игру, но не хочу чтобы это была тормозная пакость на питоне. И как сие в вашей парадигме?

Ответить | Правка | К родителю #93 | Наверх | Cообщить модератору

276. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Гентушник (ok), 09-Мрт-20, 22:14 
Добавить --or --and и т.д. В eix (из Gentoo) работает хорошо и искать довольно удобно.
Ответить | Правка | Наверх | Cообщить модератору

143. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (80), 08-Мрт-20, 18:22 
> Элементарно. Оставить всем до боли знакомые RegExp'ы

Спасибо, не надо мне боли.
Есть отточенный за пару десятков лет синтаксис запросов aptitude, который как раз в apt и перенесли.

Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

168. "Выпуск пакетного менеджера APT 2.0"  –3 +/
Сообщение от mommy (?), 08-Мрт-20, 20:26 
Ну вот и покажи как.
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

259. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Урри (?), 09-Мрт-20, 17:54 
Никак. У нас есть греп, сед и авэка.
Ответить | Правка | К родителю #3 | Наверх | Cообщить модератору

99. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от htd (?), 08-Мрт-20, 15:53 
>>apt list '~i !~M (~slibs|~sperl|~spython)'
>>apt-get satisfy "foo" "Conflicts: bar" "baz (>> 1.0) | bar (= 2.0), moo"
>Нечитабельная жесть.

Мне очень по душе паттерны aptitude. https://www.debian.org/doc/manuals/aptitude/ch02s04s05.ru.html
С apt как-то сложнее, вероятно из-за переучивания, ведь ясно что читабельнее => легче понять и запомнить, но всё же я очень рад за эту обнову
>$ apt search --names-only firefox
>$ aptitude search ~nfirefox

$ apt install !$ - во втором случае уже не ферштейн - это к минусам
А вот вторую строку мне сложно парсить, мозг спотыкается

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

205. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Rootlexx (?), 09-Мрт-20, 01:17 
>Нечитабельная жесть.

Не более, чем краткие опции в командах.

Если нужна читабельность в ущерб краткости, есть полные варианты шаблонов:

apt list '?installed ?not(?automatic) ...'

Во второй же команде привычный для всех знакомых с Debian синтаксис указания зависимостей.

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

267. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (269), 09-Мрт-20, 21:24 
> Если нужна читабельность в ущерб краткости, есть полные варианты шаблонов:

Ну так блин это юниксвэй, клаву меньше топтать ради эффективности.

В *nix:
ls, ps, grep, pwd...
В каком-нить powershell:
DoSomeCrap Do-Some-Another-Crap --long-switch C:\Oh yeah paths with spaces rock! C:\also try our new autocomplete that suxx a lot

Ответить | Правка | Наверх | Cообщить модератору

251. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от б.б. (?), 09-Мрт-20, 16:11 
>>apt-get satisfy "foo" "Conflicts: bar" "baz (>> 1.0) | bar (= 2.0), moo"
> Нечитабельная жесть.

для тех, кто пользуется aptitude или хотя бы вручную листал Packages, всё очень логично, это формат задания зависимостей. а тем, кто не понимает, но пытается прочитать... ну, можно пытаться понять японский, не зная о самом японском языке, а потом сказать "нечитаемая жесть".

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

252. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от A.Stahl (ok), 09-Мрт-20, 16:53 
>ну, можно пытаться понять японский, не зная о самом японском языке, а потом сказать "нечитаемая жесть".

Да, если я попытаюсь понять что-то на японском, то это будет жесть. Но если я попытаюсь прочитать что-то на испанском или, скажем, немецком, которые я оба совершенно не знаю, то где-то что-то может проскочить знакомое и понятное. Да я хотя бы предложение на отдельные слова смогу разделить в немецком, а вот в японском хрен.

Ответить | Правка | Наверх | Cообщить модератору

282. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (282), 10-Мрт-20, 16:01 
она еще и неписабельная - попробуй этот хлам набрать без опечаток, с бесконечными нажми-отпусти shift

Вместо того, чтоб наконец-то закопать это угребище aptitude в общий могильник с dselect, и залить бетоном на три метра  - какой-то деятельный м-к притащил это и в apt - причем, разумеется, надо было сломать то что до него нормально работало.

Дайте угадаю - сам он для установки пакетов пользуется какой-нибудь гномьей хней.


Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

294. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (294), 11-Мрт-20, 09:58 
Это пишут, а не читают, болван. Читают потом текстовый вывод.
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

2. "Выпуск пакетного менеджера APT 2.0"  +10 +/
Сообщение от Аноним (2), 08-Мрт-20, 09:29 
Все-таки самый удобный синтаксис команд у сюзевского zypper-а. Все работает без попыток и "улучшений" типа: "А давайте напихаем сюда команд, которые будут интуитивно непонятны, но зато выглядеть это будет по-программистски".
Ответить | Правка | Наверх | Cообщить модератору

12. "Выпуск пакетного менеджера APT 2.0"  –7 +/
Сообщение от Имя (?), 08-Мрт-20, 10:43 
По сравнению с арчевским pacman-ом, синтаксис zypper - неудобная и нечитаемая абракадабра.
Ответить | Правка | Наверх | Cообщить модератору

22. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от artenox (?), 08-Мрт-20, 11:17 
pacman все также оставляет пустые папки при удалении пакетов, как 5 лет назад?
Ответить | Правка | Наверх | Cообщить модератору

23. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от artenox (?), 08-Мрт-20, 11:19 
zypper вроде как научился в удаление кэша.
Ответить | Правка | Наверх | Cообщить модератору

56. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от DerRoteBaron (ok), 08-Мрт-20, 12:48 
Которому для того, чтобы часть комманд работала, нужно обращаться как aptitude?
По части CLI тот же apt только в профиль и с сокращением подкомманд.
Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

64. "Выпуск пакетного менеджера APT 2.0"  +5 +/
Сообщение от all_glory_to_the_hypnotoad (ok), 08-Мрт-20, 13:32 
Самый удобный пакетный тулсет у Gentoo, всё остальное жалкие помои
Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

268. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Аноним (269), 09-Мрт-20, 21:25 
> Самый удобный пакетный тулсет у Gentoo, всё остальное жалкие помои

Годный комплекс утенка. Но, знаете, я как-нибудь пешком постою без вашей генты.

Ответить | Правка | Наверх | Cообщить модератору

79. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от NotZyp (?), 08-Мрт-20, 14:23 
Zypper'ру рассматривают замену.  Смотрим списки рассылки.
Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

83. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Дно (?), 08-Мрт-20, 14:55 
dnf?
Ответить | Правка | Наверх | Cообщить модератору

128. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (128), 08-Мрт-20, 16:58 
> Все-таки самый удобный синтаксис команд у сюзевского zypper-а.

он просто элементарный с точки зрения привычки, да действиетельно неплох
> Все работает без попыток и "улучшений" типа: "А давайте напихаем сюда команд, которые будут интуитивно
> непонятны, но зато выглядеть это будет по-программистски".

В apt не весь сиснтаксис такой, большинство ключей очень просты, однако сравнивать zypper с аптом это такое себе, рядовой пользователь дебиана обойдётся одним лишь аптом для руления пакетами в системе, рядовой пользователь опензузи уже без яста не сможет, или это не рядовой пользователь опенсузи, но да, это не умаляет годности zypper


Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

230. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Аноним (230), 09-Мрт-20, 10:27 
> рядовой пользователь дебиана обойдётся одним лишь аптом для руления пакетами в системе
> рядовой пользователь опензузи уже без яста не сможет

Ну и как это взаимосвязано? Zypper умеет всё тоже самое, что и apt.

Ответить | Правка | Наверх | Cообщить модератору

186. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 08-Мрт-20, 22:51 
> А давайте напихаем сюда команд, которые будут интуитивно непонятны,
> но зато выглядеть это будет по-программистски

Продвинутые возможности требуют мощных инструментов, которые совершенно не обязаны быть очевидными. Не веришь? Ну, CAD возьми какой и попробуй там совсем уж с места в карьер то? И как, хорошо получается? Ну вот рисуй тогда интуитивно понятным карандашиком на бумаге, но правда это тебя очень сильно вклинит по эффективности, уж сорь.

Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

5. "Выпуск пакетного менеджера APT 2.0"  –4 +/
Сообщение от Константавр (ok), 08-Мрт-20, 09:45 
Когда-то были проблемы с линковкой программы на конкретную версию библиотеки, например, libM.so.1.0.0 В таких условиях жёсткая привязка версии пакета N к версии пакета M была необходимой. Но уже долгое время не сталкивался с программами требующими libM.so.1.0.0 а не libM.so Только "левые" проприетарные программы, типа кадов и игр изредка требуют представить им конкретную версию библиотеки, но стоит добавить нужную ссылку и о чудо, программа работает с имеющейся у меня версией библиотеки, думая, что всё в порядке.

Вопрос. Зачем в apt-вселенной так жёстко прописываются версии в зависимостях библиотек? В арче, например, бывают иногда лишь ограничения типа <=1.0.0 или >=1.0.0 И всё работает. Зачем Дебьяну такое жёсткое ограничение? В двадцатьпервом веке! В третьем его десятилетии!!! Зачем?

Ответить | Правка | Наверх | Cообщить модератору

7. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (7), 08-Мрт-20, 10:05 
Почему жёстко?

Package: openssh-client
Version: 1:8.2p1-4
Installed-Size: 4,293 kB
Provides: rsh-client, ssh-client
Depends: adduser (>= 3.10), dpkg (>= 1.7.0), passwd, libc6 (>= 2.26), libedit2 (>= 2.11-20080614-0), libfido2-1 (>= 1.3.0), libgssapi-krb5-2 (>= 1.17), libselinux1 (>= 1.32), libssl1.1 (>= 1.1.1), zlib1g (>= 1:1.1.4)
Recommends: xauth
Suggests: keychain, libpam-ssh, monkeysphere, ssh-askpass

Ответить | Правка | Наверх | Cообщить модератору

10. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Константавр (ok), 08-Мрт-20, 10:27 
Хм, и правда, много зависимостей на "не меньше". Странно. Почему же тогда при попытке установить что-то на олдстэйбл из стэйбла мне постоянно выдавало "идите нафихь, ваши либы устарели"? Очень странно. Значит хватает одной-двух жёстких зависимостей в хитросплетениях раздробленных пакетах и все плюсы "сгорают".
Ответить | Правка | Наверх | Cообщить модератору

13. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (13), 08-Мрт-20, 10:46 
Потому что у тебя не условный libM.so.1.1.3 вместо libM.so.1.1.2 (и тот и другой - libM.so.1), а условный libM.so.2 вместо libM.so.1. Короче, поменялась мажорная версия ABI у библиотеки, что означает слом обратной совместимости.
В дистрах при этом обычно линкуются как раз к мажорной версии ABI.
Ответить | Правка | Наверх | Cообщить модератору

53. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Константавр (ok), 08-Мрт-20, 12:38 
Хм... Единственное, что сильно поменялось (из нужного мне) с олдсэйбла - это иксы. И то, при принудительной установке через dpkg всё работает. Проблема не в мажорной версии, а в отсутствии возможности установить на свой страх и риск, проверить, работает ли, и закрепить результат, указав пакетному менеджеру, что так и должно теперь быть. Без пересборки. Нет, после принудительной установки через dpkg, apt неизбежно будет требовать удалить ненавистный, чужеродный пакет. Вот проблема.

Я не против дежрать стабильное базовое окружение, Дебьян тут совсем не плох. Но установить нечто чужеродный через пакетный менеджер, просто для фиксации какие файлы куда встали, чтобы безболезненно их удалить вместе с пакетом. Вот такого нет. А при окаменелости софта в Дебьяне такое неизбежно. Пересобирать некоторые пакеты - это апож.

Ответить | Правка | Наверх | Cообщить модератору

68. "Выпуск пакетного менеджера APT 2.0"  +4 +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 13:51 
dpkg -i с какими-то ключиками для force.

Дебиан, в отличие от арча - это целостный дистрибутив, а не тупая система установки софта "лишь бы собиралось". То есть пакеты должны не просто запускаться, а быть протестированными совместно с остальными частями данного релиза. Поэтому и довольно жёсткие ограничения.

Ответить | Правка | Наверх | Cообщить модератору

191. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Константавр (ok), 08-Мрт-20, 23:08 
>с какими-то ключиками для force

Вот сначала узнай эти ключики и сделай так, чтобы apt следом не снёс установленное при помощи dpkg с твоими ключиками.

Ну и остальное - набор шаблонных лозунгов.

Ответить | Правка | Наверх | Cообщить модератору

123. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (123), 08-Мрт-20, 16:53 
>[оверквотинг удален]
> не в мажорной версии, а в отсутствии возможности установить на свой
> страх и риск, проверить, работает ли, и закрепить результат, указав пакетному
> менеджеру, что так и должно теперь быть. Без пересборки. Нет, после
> принудительной установки через dpkg, apt неизбежно будет требовать удалить ненавистный,
> чужеродный пакет. Вот проблема.
> Я не против дежрать стабильное базовое окружение, Дебьян тут совсем не плох.
> Но установить нечто чужеродный через пакетный менеджер, просто для фиксации какие
> файлы куда встали, чтобы безболезненно их удалить вместе с пакетом. Вот
> такого нет. А при окаменелости софта в Дебьяне такое неизбежно. Пересобирать
> некоторые пакеты - это апож.

Чтобы получить подобных хотелок в дебиане, вам просто следует тщательнейшем образом осилить пининг и бэепортирование (порой самостоятельное). И вообще ролинговый рачик, в котором пакман в сравнении с аптом хоть и кажется быстрым и простым, так это оттого, что он по фунекционалы до апта не дотягивает, не корректно сравнивать не с каким дистром с релизной моделью выпуска.

Ответить | Правка | К родителю #53 | Наверх | Cообщить модератору

9. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (9), 08-Мрт-20, 10:24 
Зато у Арча регулярно всё отваливается при обновлениях отдельных пакетов.
Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

60. Скрыто модератором  –1 +/
Сообщение от 1 (??), 08-Мрт-20, 12:57 
Ответить | Правка | Наверх | Cообщить модератору

87. Скрыто модератором  +1 +/
Сообщение от artenox (?), 08-Мрт-20, 15:12 
Ответить | Правка | Наверх | Cообщить модератору

105. Скрыто модератором  +1 +/
Сообщение от Суп из потрошков (?), 08-Мрт-20, 16:18 
Ответить | Правка | Наверх | Cообщить модератору

147. Скрыто модератором  –1 +/
Сообщение от artenox (?), 08-Мрт-20, 18:42 
Ответить | Правка | Наверх | Cообщить модератору

151. Скрыто модератором  –3 +/
Сообщение от Аноним (151), 08-Мрт-20, 19:23 
Ответить | Правка | Наверх | Cообщить модератору

152. Скрыто модератором  +/
Сообщение от Аноним (151), 08-Мрт-20, 19:26 
Ответить | Правка | Наверх | Cообщить модератору

153. Скрыто модератором  +/
Сообщение от Аноним (151), 08-Мрт-20, 19:29 
Ответить | Правка | Наверх | Cообщить модератору

249. Скрыто модератором  +/
Сообщение от artenox (?), 09-Мрт-20, 15:11 
Ответить | Правка | Наверх | Cообщить модератору

161. Скрыто модератором  +1 +/
Сообщение от Michael Shigorinemail (ok), 08-Мрт-20, 20:02 
Ответить | Правка | К родителю #60 | Наверх | Cообщить модератору

82. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от burjui (ok), 08-Мрт-20, 14:53 
$ yay -R ссзб
$ умвр чяднт
$ exit
Ответить | Правка | К родителю #9 | Наверх | Cообщить модератору

92. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Антошка (??), 08-Мрт-20, 15:28 
Может ваш опыт работы с Рачем такой узкий, вот это вы делаете неправильно, вот как сейчас вспомню "update requires manual intervention" - если так всё просто, то почему эта новость на главной Рача постоянно висит? Может просто ваш Рач уже давно нужно выпилить на свалку истории? И не надо мне говорить о неосиляторстве, т.к. с таким же успехом вы можете купить уаз патриот и всем доказывать не вылазия из гаража что это классная тачка, вот только тут и тут подтяну, заменю, там настрою, подклею, и тачка поедет лучше всех, а вы все не мужики если не хотите сами всё чинить.
Ответить | Правка | Наверх | Cообщить модератору

222. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 06:04 
> $ умвр чяднт

Угу, как там арч системду то раздавал, что все факапалось до небутабельной системы, если ман не прочитать и явно не отпедалить тантры самому?  Ну вот в дебиане настолько махровые системные диверсии все же не практикуют, а пакетный менеджер может своими хуками и сам нестандартные приседания откаблучить. Что очень способствует работоспособности системы. Даже после обновлений.

Ответить | Правка | К родителю #82 | Наверх | Cообщить модератору

238. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от burjui (ok), 09-Мрт-20, 12:16 
Я подозревал, что это слишком тонкая шутка.
Ответить | Правка | К родителю #82 | Наверх | Cообщить модератору

174. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от And (??), 08-Мрт-20, 21:07 
> Зачем в apt-вселенной так жёстко прописываются версии в зависимостях библиотек? В арче, например, бывают иногда лишь ограничения типа <=1.0.0 или >=1.0.0 И всё работает. Зачем Дебьяну такое жёсткое ограничение?

Это не Дебиану нужно. Это вопрос к разрабам тех кад-систем и прочего софта сбоку.

У них часто нет ресурса отслеживать внезапные смены АПИ и подобные вещи. Они пытаются в бизнесе нашупать надёжных партнёров. Т.к. АПИ могут сломать в любой момент со словами: поправь-сам-не-тебе-делали-плохой. То тупо прибивают гвоздиками версии, пока кристальной души авторы библиотек не научаться взаимодействовать и коммуницировать.

В этом есть плюсы. Бизнес в этих системах не очень желателен, т.к. есть корневые противоречия

Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

187. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 08-Мрт-20, 22:54 
> Зачем в apt-вселенной так жёстко прописываются версии в зависимостях библиотек?

Затем, чтобы система не развалилась к дьяволу после апдейта.

> В арче, например, бывают

...подохшие после обновления системы, когда программа X нишмагла поюзать либу Y и все сдохло жестокой смертью. А ты там колупайся в этих ошметках, дорогой пользователь.

Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

6. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от myhand (ok), 08-Мрт-20, 09:59 
> APT также применяется в некоторых дистрибутивах на основе пакетного менеджера rpm, таких как PCLinuxOS и ALT Linux

Разве в ALT apt актуальной версии, а не хрен знает когда запиленый форк?!

Ответить | Правка | Наверх | Cообщить модератору

24. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (24), 08-Мрт-20, 11:22 
Форк, запиленный и пилящийся: http://git.altlinux.org/gears/a/apt.git
Ответить | Правка | Наверх | Cообщить модератору

28. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Аноним (28), 08-Мрт-20, 11:33 
но зачем? кому это было нужно?
Ответить | Правка | Наверх | Cообщить модератору

33. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (33), 08-Мрт-20, 11:44 
А вдруг завтра война
Ответить | Правка | Наверх | Cообщить модератору

90. "Выпуск пакетного менеджера APT 2.0"  +7 +/
Сообщение от myhand (ok), 08-Мрт-20, 15:24 

# apt nuke
                              ____                      
                      __,-~~/~    `---.                
                    _/_,---(      ,    )                
                __ /        <    /   )  \___            
               ====------------------===;;;==          
                   \/  ~"~"~"~"~"~\~"~)~",1/            
                   (_ (   \  (     >    \)              
                    \_( _ <         >_>'                
                       ~ `-i' ::>|--"                  
                           I;|.|.|                      
                          <|i::|i|>                    
                           |[::|.|                      
                            ||: |                      
... "Have you nuked today?"...

Ответить | Правка | Наверх | Cообщить модератору

139. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от псевдонимус (?), 08-Мрт-20, 18:06 
Красотища!
Ответить | Правка | Наверх | Cообщить модератору

171. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 08-Мрт-20, 20:47 
apt moo | cowsay
Ответить | Правка | К родителю #90 | Наверх | Cообщить модератору

202. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Gannetemail (ok), 09-Мрт-20, 00:34 
$ apt moo | cowsay

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

_____________________________________
/  (__)                               \
|                                     |
| (oo)                                |
|                                     |
| /------\/                           |
|                                     |
| / | ||                              |
|                                     |
| * /\---/\                           |
|                                     |
\ ~~ ~~ ..."Have you mooed today?"... /
-------------------------------------
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||

Ответить | Правка | Наверх | Cообщить модератору

50. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (50), 08-Мрт-20, 12:29 
Альту, очевидно.
Ответить | Правка | К родителю #28 | Наверх | Cообщить модератору

63. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от myhand (ok), 08-Мрт-20, 13:30 
Но таки зачем?!  В upstream Apt не принимали патчи от православных хоругвеносцев?
Ответить | Правка | Наверх | Cообщить модератору

109. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Sluggard (ok), 08-Мрт-20, 16:31 
У них же не простой apt, а apt-rpm, зачем в апстриме нужны патчи для работы с RPM?
Ответить | Правка | Наверх | Cообщить модератору

115. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от JL2001 (ok), 08-Мрт-20, 16:44 
> У них же не простой apt, а apt-rpm, зачем в апстриме нужны
> патчи для работы с RPM?

не понимаю почему apt нельзя использовать с rpm, deb или ещё кем
судя по наличию кучи вариантов apt-rpm в разных дистрах - есть некая прокладка между apt и rpm

Ответить | Правка | Наверх | Cообщить модератору

120. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Sluggard (ok), 08-Мрт-20, 16:51 
О какой куче apt-rpm в разных дистрах речь? Я только про Alt и PCLinuxOS знаю, больше этот гибрид, видимо, никому не нужен. Вот они и используют модифицированный apt,в виде apt-rpm, никаких проблем.
Ответить | Правка | Наверх | Cообщить модератору

196. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (50), 09-Мрт-20, 00:06 
Есть ещё какой-то японский Vine Linux, который тоже использует apt-rpm.
Ответить | Правка | Наверх | Cообщить модератору

188. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (188), 08-Мрт-20, 22:56 
> зачем в апстриме нужны патчи для работы с RPM?

Изначально для тыринга пакетов из шляпообразных. Но нафиг это когда мир выбрал для десктопа деб-образных черт его знает. Они так привыкли, поэтому красят траву в зеленый цвет. И похрен что январь на дворе.
  

Ответить | Правка | К родителю #109 | Наверх | Cообщить модератору

192. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Sluggard (ok), 08-Мрт-20, 23:08 
> мир выбрал для десктопа деб-образных черт его знает

Мир, в целом, выбрал для десктопа нечто другое. А мир Linux прекрасен своим разнообразием. Если эта балалайка нормально работает, привычна, и устраивает разработчиков и пользователей того же Альта — всё круто, они пользуются.

Ответить | Правка | Наверх | Cообщить модератору

223. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 06:11 
> и пользователей того же Альта — всё круто, они пользуются.

Ну как бы пользователей альта, особенно добровольных, не так уж и много. И наверное к тому есть причины. В том числе и в виде пактов окучиваемых роботом. Это как с мышеловкой - бесплатный сыр достается только второй мышке. А юзер при такой схеме таки первой мышкой оказывается, все баги его долбают. Из роботов не больно какие майнтайнеры, однако. Ну и под редгада сейчас явно меньше пакетов чем под редгада, тем ничего кроме махровой энтерпрайзятины не интересно, со всеми вытекающими приоритетами.

Ответить | Правка | Наверх | Cообщить модератору

112. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Вебмакака (?), 08-Мрт-20, 16:35 
У них apt для rpm пакетов.
Ответить | Правка | К родителю #63 | Наверх | Cообщить модератору

162. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Michael Shigorinemail (ok), 08-Мрт-20, 20:05 
Я Вам больше скажу -- апстримный apt в части управления памятью в своём роде может оказаться и пострашнее ядерной войны (химик во мне получил знания и навыки по части РХБЗ полжизни назад)...

Интересно, кстати, этим вообще кто-то кроме наших на практике огорчён?

Ответить | Правка | К родителю #63 | Наверх | Cообщить модератору

182. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (182), 08-Мрт-20, 22:42 
Огорчен Michael Stapelberg. А что там такого страшного?
Ответить | Правка | Наверх | Cообщить модератору

189. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (188), 08-Мрт-20, 22:57 
> Я Вам больше скажу -- апстримный apt в части управления памятью

...работает даже на 64 мегах без свопа...

> (химик во мне

...как обычно пытается выступать программистом и системщиком, каковым ни разу не является.

Ответить | Правка | К родителю #162 | Наверх | Cообщить модератору

77. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Аноним (-), 08-Мрт-20, 14:16 
Это пример порождения "синдрома NIH", плавно эволюционировавший в вендор-лок.
Ответить | Правка | К родителю #28 | Наверх | Cообщить модератору

125. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Вебмакака (?), 08-Мрт-20, 16:55 
Херня полная. Апт-рпм не в альте изобрели, как это может быть NIH? Просто альт достаточно древний и форкнулся в момент когда не было стандартного пакетного менеджера для рпм.
Ответить | Правка | Наверх | Cообщить модератору

131. "Выпуск пакетного менеджера APT 2.0"  +4 +/
Сообщение от Vkni (ok), 08-Мрт-20, 17:13 
apt значительно быстрее "стандартного пакетного менеджера для рпм".
Ответить | Правка | Наверх | Cообщить модератору

215. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 02:40 
И вообще значительно менее г0вняный чем yum/dnf, являющие собой картонный макет пакетного манагера, зато, блин, с бизнеслогикой.
Ответить | Правка | Наверх | Cообщить модератору

218. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от анонимуслинус (?), 09-Мрт-20, 05:07 
у рпм есть еще urpm. там вроде как более менее человечно, хотя тож со своими заморочками
Ответить | Правка | Наверх | Cообщить модератору

224. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (224), 09-Мрт-20, 06:16 
> у рпм есть еще urpm. там вроде как более менее человечно, хотя
> тож со своими заморочками

Мне и с deb-пакетами хорошо. Они как бы ничем таким не хуже с практической точки зрения вроде бы, а пакетный менеджер сделан гораздо более по людски чем тот сблюв который редхат столько лет сватал. Собственно альты не от хорошей жизни apt поюзали, а потому что настолько фееричные фекалии вместо ключевого системного тулса они все же видимо не хотели отгружать.

Ответить | Правка | Наверх | Cообщить модератору

239. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (239), 09-Мрт-20, 12:25 
> у рпм есть еще urpm. там вроде как более менее человечно, хотя
> тож со своими заморочками

Кто-то занимается его поддержкой?

Ответить | Правка | К родителю #218 | Наверх | Cообщить модератору

11. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (54), 08-Мрт-20, 10:42 
> В командах, принимающих имена пакетов, появилась поддержка шаблонов. Синтаксис шаблонов в основном повторяет стиль шаблонов aptitude.

Ну наконец-то.

Ответить | Правка | Наверх | Cообщить модератору

14. Скрыто модератором  –5 +/
Сообщение от Аноним (14), 08-Мрт-20, 10:47 
Ответить | Правка | Наверх | Cообщить модератору

111. Скрыто модератором  +2 +/
Сообщение от Sluggard (ok), 08-Мрт-20, 16:33 
Ответить | Правка | Наверх | Cообщить модератору

17. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (17), 08-Мрт-20, 11:03 
А подскажите, пожалуйста, аналог для apt.

   % pacman -S <pkg> --assume-installed <pkg>

Ответить | Правка | Наверх | Cообщить модератору

19. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Fracta1L (ok), 08-Мрт-20, 11:09 
А что делает эта команда?
Ответить | Правка | Наверх | Cообщить модератору

21. "Выпуск пакетного менеджера APT 2.0"  –3 +/
Сообщение от Аноним (17), 08-Мрт-20, 11:15 
Устанавливает без проблем пакет без жёсткой зависимости от другого пакета, который указывается после --assume-installed. Pacman потом предполагает, что та зависимость уже установлена. Оооочень необходимая команда. Серьёзно.
Ответить | Правка | Наверх | Cообщить модератору

46. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Fracta1L (ok), 08-Мрт-20, 12:08 
> Оооочень необходимая команда. Серьёзно.

Хм, забавно, за 5+ лет ни разу не пользовался. Впрочем, я и консольным pacman как таковым пользовался за это время раз 10 от силы))

Ответить | Правка | Наверх | Cообщить модератору

48. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Аноним (48), 08-Мрт-20, 12:11 
> я и консольным pacman как таковым пользовался за это время раз 10 от силы))

Ну, вот теперь есть повод изучить... ;)

Ответить | Правка | Наверх | Cообщить модератору

69. "Выпуск пакетного менеджера APT 2.0"  +6 +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 13:54 
Выглядит как борьба с пакадж менеджером. По идее такой чепухи в апте быть не должно - это ж поиск граблей натуральный. Точнее, установить-то, наверное, можно, но потом на любой чих будет ругаться (и правильно), что пакет-зависимость не установлен
Ответить | Правка | К родителю #21 | Наверх | Cообщить модератору

76. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (76), 08-Мрт-20, 14:14 
Мнение разработчиков rpm и pacman не совпадает с вашим. Уж извините.
Ответить | Правка | Наверх | Cообщить модератору

119. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 16:50 
Ну вот и замечательно - есть разные точки зрения и разные продукты, эти точки зрения реализующие. Кому-то bleeding edge нужен, кому-то - предсказуемость и консистентность. Зачем пытаться всё в один тащить?
Ответить | Правка | Наверх | Cообщить модератору

129. "Выпуск пакетного менеджера APT 2.0"  –3 +/
Сообщение от Fracta1L (ok), 08-Мрт-20, 17:10 
Слово "предсказуемость" в контексте apt выглядит как шутка из Кривого Зеркала
Ответить | Правка | Наверх | Cообщить модератору

225. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (224), 09-Мрт-20, 06:18 
> Слово "предсказуемость" в контексте apt выглядит как шутка из Кривого Зеркала

Как активный юзер apt имею заметить что с предсказуемостью у него все в порядке. Равно как и с содержанием репов. Все это вполне можно юзать в продакшне - и это ничем таким особо не чревато.

Ответить | Правка | Наверх | Cообщить модератору

142. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (80), 08-Мрт-20, 18:20 
> Мнение разработчиков rpm и pacman не совпадает с вашим.

rpm, как и dpkg, является низкоуровневым инструментом, и оба они имеют ключи для игнорирования зависимостей.
yum, как и apt, таких ключей не имеют.

То, что в случае отдельно взятого pacman такой ключ вынесен на верхний уровень, говорит о низком уровне культуры в описаниях зависимостей. Что, в общем-то, и неудивительно — в AUR нет рецензирования, и очень мало профессиональных разработчиков, в отличие от экосистем Fedora и Debian.

Ответить | Правка | К родителю #76 | Наверх | Cообщить модератору

156. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (156), 08-Мрт-20, 19:50 
> говорит о низком уровне культуры в описаниях зависимостей.

О низком уровне культуры здесь присутствующих тоже многое говорит, что не мешает этому сайту работать.

> Что, в общем-то, и неудивительно — в AUR нет...

pacman не работает с AUR от слова "никак". Знаний тоже не всегда хватает у некоторых, но советы - всегда пожалуйста.

> очень мало профессиональных разработчиков, в отличие от экосистем Fedora и Debian.

Один человек может создать что-то, чем потом будут пользоваться миллионы. Главное в бюрократии потом большой компании не увязнуть. На прогресс плохо влияет.

Ответить | Правка | Наверх | Cообщить модератору

190. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (80), 08-Мрт-20, 23:05 
> pacman не работает с AUR от слова "никак". Знаний тоже не всегда хватает у некоторых, но советы - всегда пожалуйста.

То есть, пакет, собранный через makepkg, через pacman установить нельзя?

> Один человек может создать что-то, чем потом будут пользоваться миллионы.

Вот только если он дилетант, это приводит к печальным последствиям.

Ответить | Правка | Наверх | Cообщить модератору

198. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (198), 09-Мрт-20, 00:08 
> То есть, пакет, собранный через makepkg, через pacman установить нельзя?

Ну, почему же? Pacman устанавливает уже собранный пакет. Но в AUR таких нет. Поэтому они напрямую никак не связаны.

Ответить | Правка | Наверх | Cообщить модератору

231. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от artenox (?), 09-Мрт-20, 10:36 
> Pacman устанавливает уже собранный пакет. Но в AUR таких нет

Тем не менее в AURе не только сборка из исходников, есть бинари проприетарщины, которые грузятся со сторонних серверов.

Ответить | Правка | Наверх | Cообщить модератору

295. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (295), 11-Мрт-20, 12:23 
И причем тут pacman к этим бинарям?
Ответить | Правка | Наверх | Cообщить модератору

242. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (80), 09-Мрт-20, 13:05 
> Ну, почему же? Pacman устанавливает уже собранный пакет. Но в AUR таких нет.

Это все к тому, что в PGKBUILD зависимости пишут часто от балды, вследствие чего и приходится ставить костыли типа --assume-installed.

Ответить | Правка | К родителю #198 | Наверх | Cообщить модератору

149. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 08-Мрт-20, 19:06 
Что-то странное. А как оно зависимости рассчитывает потом? Добавляет фейковый пакет, а куда? Или оно совсем не пересчитывает зависимости? В генту можно добавить нужный пакет произвольной версии в package.provided, работать оно конечно не будет. А то и сборка фейлится начнёт. Но я таким образом успешно выкинул cups и vala из системы и за годы они ещё ни разу не понадобились установленными.
Ответить | Правка | К родителю #21 | Наверх | Cообщить модератору

159. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (159), 08-Мрт-20, 19:59 
Никакого фейкового пакета. Переведи: assume installed. О никакой сборке/пересборке речи не идёт.
Ответить | Правка | Наверх | Cообщить модератору

160. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 08-Мрт-20, 20:01 
Просто интересно как оно будет обновляться.
Ответить | Правка | Наверх | Cообщить модератору

178. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (182), 08-Мрт-20, 21:52 
Когда прилетает куча обновлений, с зависимостью от данного пакета в том числе, можно пойти двумя путями. Обновить сначала отдельно пакет, зависимость которого мы не устанавливали тем же способом, а потом всю остальную кучу либо обновить всю кучу, а потом просто принудительно удалить эту зависимость [ pacman -Rddn <pkg> ] - такая возможность тоже есть. "Ненужные пакеты" лучше записать. ) Новичкам не рекомендуется, естественно.


Ответить | Правка | Наверх | Cообщить модератору

254. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (149), 09-Мрт-20, 17:10 
Ясно, спасибо. Выглядит не очень удобно. Принудительное удаление пакетов в обход пакетного менеджера это из разряда rm rf и make install. Я обычно не трогаю пакетный менеджер, а просто зануляю неугодные исполняемые файлы, этого достаточно. Но с библиотеками не прокатит, приходится заменять их void заглушками. Кроме того у пакетного менеджера (portage) есть инструкции удалять и заменять определённые файлы на разных этапах установки. Pacman не имеет такого контроля, насколько мне известно, но вроде там были какие-то хуки тоже.
Ответить | Правка | Наверх | Cообщить модератору

240. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (239), 09-Мрт-20, 12:29 
cups и vala отключаются глобальными USE-флагами.
package.provided не для этого.
Ответить | Правка | К родителю #149 | Наверх | Cообщить модератору

253. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 09-Мрт-20, 16:57 
> cups и vala отключаются глобальными USE-флагами.
> package.provided не для этого.

Именно для этого, и у бинарных пакетов, например, не отключаются. Ебилды бывают достаточно странными тоже. Я не против cups как такового, он может даже быть полезным, но я не хочу видеть уязвимый для всего ghostscript в системе. Ну а vala мне навязывается, я ещё не отошёл от аналогичного навязывания mono.

Ответить | Правка | Наверх | Cообщить модератору

255. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (239), 09-Мрт-20, 17:10 
Ещё раз.

Что бы собрать систему без cups и vala, правильный способ - поместить в /etc/portage/make.conf строку
USE="${USE} -cups -vala"

Для чего предназначено package.provided, читайте в man portage:

package.provided
   A  list  of  packages  (one per line) that portage should assume have been pro‐
   vided.  Useful for porting to non-Linux systems. Basically, it's  a  list  that
   replaces the emerge --inject syntax.

   For  example,  if  you  manage your own copy of a 2.6 kernel, then you can tell
   portage that 'sys-kernel/development-sources-2.6.7' is already  taken  care  of
   and it should get off your back about it.

   Portage will not attempt to update a package that is listed here unless another
   package explicitly requires a version that is newer than what has been  listed.
   Dependencies that are satisfied by package.provided entries may cause installed
   packages satisfying equivalent dependencies to be removed by  emerge(1)  --dep‐
   clean  actions


provided в данном контексте - установленный пользователем. Но никак не для "пакета нет, но система думает, что он есть".

Ответить | Правка | Наверх | Cообщить модератору

257. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 09-Мрт-20, 17:15 
Я же сказал. Из бинарных ебилдов купс отключение юза не удалит, поскольку бинарники с ним слинкованы. Действительно, я положил свой dummy libcups где все символы заменены на void, и этого хватает для всего. Есть ещё несколько вариантов применения, но это больше проблема кривых ебилдов в дереве.
Ответить | Правка | Наверх | Cообщить модератору

261. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (239), 09-Мрт-20, 18:24 
ebuild это сценарий сборки, он в текстовом формате. Пакеты же собираются с -cups -vala и с теми же флагами устанавливаются в другую систему.

Только не надо отвечать, что речь была о Calculate или ещё чем-то, где бинарные пакеты кто-то собрал. В Gentoo вот так.

Ответить | Правка | Наверх | Cообщить модератору

262. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 09-Мрт-20, 18:29 
Внезапно, но в Генту, в основном дереве, тоже есть бинарные пакеты. Их довольно много, некоторые даже проприетарные, другие просто "от Васи". В сторонних репах их ещё больше.
Ответить | Правка | Наверх | Cообщить модератору

279. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (239), 10-Мрт-20, 09:02 
> Внезапно, но в Генту, в основном дереве, тоже есть бинарные пакеты.

Не удивительно, что ты забыл привести примеры. Ведь флагов cups и vala там нет.

Ответить | Правка | Наверх | Cообщить модератору

280. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 10-Мрт-20, 10:49 
Ой херню не городи. Конечно там нет флагов, они же захардкожены. Скажем, opera и librsvg соответственно. На самом деле ещё и все эти электроны с компанией (включая nwjs). Хватит, нет? Ну так я ими пользуюсь прекрасно и они все очень нужны.
Ответить | Правка | Наверх | Cообщить модератору

281. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (239), 10-Мрт-20, 12:34 
> Ой херню не городи. Конечно там нет флагов, они же захардкожены. Скажем,
> opera и librsvg соответственно.

Если эту твою херню не огораживать, она начинает расползаться. https://wiki.gnome.org/Projects/LibRsvg внезапно доступна в исходниках и имеет USE флаг vala, а cups в зависимостях отсутствует.

> На самом деле ещё и все эти
> электроны с компанией (включая nwjs). Хватит, нет?

Надеюсь, одного примера тебе достаточно, что бы сделать выводы.

Ответить | Правка | Наверх | Cообщить модератору

288. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 11-Мрт-20, 01:02 
>внезапно

Толку то? Это захардкоженная зависимость.

>тебе достаточно

Тебе явно не достаточно нескольких. Бинарный софт может быть жёстко слинкован с cups, всё, period. Во всяком случае выкорчевать зависимость у меня не получилось, видимо нужно создавать заглушку и патчить все символы.

Ответить | Правка | К родителю #281 | Наверх | Cообщить модератору

291. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (239), 11-Мрт-20, 07:26 
>>внезапно
> Толку то?

Вот и я не знаю, зачем ты пытался дезинформировать, называя https://wiki.gnome.org/Projects/LibRsvg бинарным пакетом. Истина установлена без проблем.

>>тебе достаточно
> Тебе явно не достаточно нескольких.
> Бинарный софт может быть жёстко слинкован с
> cups, всё, period.

Хочешь сказать, что имеется ELF-файл, статически связанный с библиотекой, которую ты выпилил из системы. И загрузчик его запустил?))) Да, тут можно поставить точку. Но ты продолжай, я давно такого не видел.

Ответить | Правка | К родителю #288 | Наверх | Cообщить модератору

292. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (149), 11-Мрт-20, 08:16 
Где я говорил, что librsvg бинарный? Я говорил, что он имеет захардкоженную валу в ебилде. Зависимость не слишком жёсткая, поскольку без неё всё прекрасно собирается и работает. И раз она там уже с год, убирать её, видимо, не собираются.

>статически

Откуда у тебя появились статические библиотеки, дурень? В общем, перечитай и поучись понимать написанное пока, а я больше с тобой разговаривать не буду. Твой уровень было видно изначально.

Ответить | Правка | К родителю #291 | Наверх | Cообщить модератору

293. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (239), 11-Мрт-20, 08:39 
> Где я говорил, что librsvg бинарный?

В #262

> Я говорил, что он имеет захардкоженную

Потом принялся подменять исходный тезис.

>>статически
> Откуда у тебя появились статические библиотеки

Из твоего утверждения, что загрузчик оказался способен загрузить исполняемый файл, когда ты выпилил .so. Но ты продолжай, расскажи, как оно на самом то деле. ;)

> дурень?

Сочувствую.


Ответить | Правка | К родителю #292 | Наверх | Cообщить модератору

25. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (24), 08-Мрт-20, 11:24 
rpm -ivh --nodeps $pkg
Ответить | Правка | К родителю #17 | Наверх | Cообщить модератору

26. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (26), 08-Мрт-20, 11:28 
Я рад, что rpm такое умеет, но нужно для apt...
Ответить | Правка | Наверх | Cообщить модератору

226. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (224), 09-Мрт-20, 06:20 
> Я рад, что rpm такое умеет, но нужно для apt...

Я себе для такого просто крою пакеты которые provides <whatever crap>. Ну вот такие виртуальные пакеты, чтобы зависимости за майнтайнерами не перекраивать. И явно видно что оверрайд повешен, если что-то пойдет не так - видно в чем прикол.

Ответить | Правка | Наверх | Cообщить модератору

35. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от ubuntuser (?), 08-Мрт-20, 11:48 

apt вроде не умеет, но через dpkg можно

dpkg -i --ignore-depends=package,…

Ответить | Правка | К родителю #17 | Наверх | Cообщить модератору

45. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Аноним (48), 08-Мрт-20, 12:03 
И кто после этого Advanced Package Tool? Эх...
Ответить | Правка | Наверх | Cообщить модератору

55. "Выпуск пакетного менеджера APT 2.0"  +6 +/
Сообщение от Аноним (54), 08-Мрт-20, 12:44 
Стрелять по ногам это в арч.
Ответить | Правка | Наверх | Cообщить модератору

61. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Аноним (61), 08-Мрт-20, 13:04 
Пока не уверен в том, что ты делаешь, рискуешь с любым автоматом.
Ответить | Правка | Наверх | Cообщить модератору

216. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (-), 09-Мрт-20, 02:42 
apt сделан для эксплуатации системы, а не для того чтобы все мастерски изломать.
Ответить | Правка | Наверх | Cообщить модератору

57. "Выпуск пакетного менеджера APT 2.0"  +3 +/
Сообщение от linvinus (?), 08-Мрт-20, 12:48 
такое очень редко требуется, как правило такая необходимость означает что что то делается не так.
но, если очень нужно, то чуть сложнее но возможно

mkdir -p /tmp/fakepackages/DEBIAN

nano /tmp/fakepackages/DEBIAN/control
Package: fakepackages
Version: 1.0
Architecture: all
Maintainer: vasya <vasya@asd.asd>
Provides: any_package1,any_package2
Description: fakepackages provides any_package1,any_package2

cd /tmp
dpkg -b /tmp/fakepackages
sudo dpkg -i /tmp/fakepackages.deb

Ответить | Правка | К родителю #17 | Наверх | Cообщить модератору

58. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от linvinus (?), 08-Мрт-20, 12:50 
any_package1,any_package2 это то что вы хотели указать в --assume-installed
Ответить | Правка | Наверх | Cообщить модератору

59. "Выпуск пакетного менеджера APT 2.0"  +3 +/
Сообщение от linvinus (?), 08-Мрт-20, 12:56 
sudo apt install any_package1
Чтение списков пакетов… Готово
Построение дерева зависимостей      
Чтение информации о состоянии… Готово
Заметьте, вместо «any_package1» выбирается «fakepackages»
Уже установлен пакет fakepackages самой новой версии (1.0).
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Ответить | Правка | Наверх | Cообщить модератору

73. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (73), 08-Мрт-20, 14:08 
Спасибо за много букв. Предложите лучше кто-нибудь разработчикам добавить такую же функциональность в apt.
Ответить | Правка | Наверх | Cообщить модератору

101. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (100), 08-Мрт-20, 16:06 
Кто-нибудь, сделайте что-нибудь. (с)
Ответить | Правка | Наверх | Cообщить модератору

122. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 16:52 
Зачем? Это костыль, идущий против идеологии апта. А корректные  средства, позволяющие опакетить что-то установленное со стороны, давно есть, начиная с того же checkinstall.
Ответить | Правка | К родителю #73 | Наверх | Cообщить модератору

138. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (138), 08-Мрт-20, 18:06 
Зачем??? Для удобства использования! Всё равно эта функциональность есть уже в dpkg. Раньше вон apt локальный пакет не мог установить. Только через dpkg. Сейчас и apt умеет. А вы мне тут об опакечивании/перепакечивании. Лишь бы поспорить без знании темы, вообще.
Ответить | Правка | Наверх | Cообщить модератору

173. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (-), 08-Мрт-20, 20:55 
ТЮ! А я до сих пор пакеты через dpkg -i ставлю.
Ответить | Правка | Наверх | Cообщить модератору

227. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (224), 09-Мрт-20, 06:23 
> Спасибо за много букв. Предложите лучше кто-нибудь разработчикам добавить
> такую же функциональность в apt.

Чтобы их и майнтайнеров потом заколебали абсолютно левыми багрепортами всякие умники? Ну даже не знаю, мне кажется они не будут разделять ваш энтузиазм :)

Ответить | Правка | К родителю #73 | Наверх | Cообщить модератору

164. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Michael Shigorinemail (ok), 08-Мрт-20, 20:07 
Собрать/поставить пакет-пустышку, "предоставляющий" <pkg>?
Ответить | Правка | К родителю #17 | Наверх | Cообщить модератору

179. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (182), 08-Мрт-20, 21:58 
Так и в арче делают многие. Но есть же встроенные возможности в менеджере пакетов. Почему бы ими и не пользоваться?
Ответить | Правка | Наверх | Cообщить модератору

245. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (80), 09-Мрт-20, 13:11 
Потому что это создает подводные камни при обновлении, не?

Я понимаю, что в Арче принято обновляться раз в полгода, потому что это дикий гемор. А вот в RHEL/CentOS и Debian/Ubuntu просто не принято превращать процесс обновления в минное поле, и там обновляться можно хоть каждый день, представляете?

Ответить | Правка | Наверх | Cообщить модератору

275. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (275), 09-Мрт-20, 22:02 
> там обновляться можно хоть каждый день, представляете?

Отлично представляю. Пять лет уже обновляю Arch каждый день, как и многие другие.

Раз в полгода? Что за бред? Зачем тогда нужен Arch? Смешно.

Ответить | Правка | Наверх | Cообщить модератору

284. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от КО (?), 10-Мрт-20, 16:10 
>Потому что это создает подводные камни при обновлении, не?

Скорее наоборот. Вот фейковый пакет - это мина замедленного действия. Когда захочется поставить еще один пакет, которому эта зависимость действительно нужна будет.

Ответить | Правка | К родителю #245 | Наверх | Cообщить модератору

270. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 21:40 
> Так и в арче делают многие. Но есть же встроенные возможности в
> менеджере пакетов. Почему бы ими и не пользоваться?

Ну вы сравнили блин арч и дебиан. В дебиане ориентация на практическое применение, а не системокрушильные эксперименты. По той же причине там никто не парится простыми даунгрейдами. Ну не требуется это в продакшне в 99.9(9)% случаев.

Ответить | Правка | К родителю #179 | Наверх | Cообщить модератору

29. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Аноним (29), 08-Мрт-20, 11:37 
Мальчики, подскажите, все таки как правильно писать apt get install package или apt install package?
Ответить | Правка | Наверх | Cообщить модератору

34. Скрыто модератором  +3 +/
Сообщение от Аноним (34), 08-Мрт-20, 11:46 
Ответить | Правка | Наверх | Cообщить модератору

36. Скрыто модератором  +1 +/
Сообщение от Аноним (29), 08-Мрт-20, 11:49 
Ответить | Правка | Наверх | Cообщить модератору

37. Скрыто модератором  +5 +/
Сообщение от Аноним (37), 08-Мрт-20, 11:50 
Ответить | Правка | К родителю #29 | Наверх | Cообщить модератору

38. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (38), 08-Мрт-20, 11:51 
> Мальчики, подскажите, все таки как правильно писать apt get install package или
> apt install package?

во-первых apt-get
во-вторых на текущий момент лучше писать apt install и прочие, а про apt-get забыть простому пользователю, потому что бывает оно не решает некоторые моменты, а apt решает, почему это происходит не готов пояснить, apt-get это запрос, который по функционалу сейчас не всё из apt отрабатывает, во всяких растиражированных стстьях про бубунту и деб приличной давности эта команда часто встречается, но касаемо дебиана и бунт-минтов сейчас везде рекомендуется apt, лучше иногда почитывать документацию и ченжлоги вашего дистрибутива, а не довольствоваться бубунтолохиями одними или что там щас модна!

Ответить | Правка | К родителю #29 | Наверх | Cообщить модератору

44. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (29), 08-Мрт-20, 12:00 
Спасибо
Ответить | Правка | Наверх | Cообщить модератору

193. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (193), 08-Мрт-20, 23:46 
Не спешы благодарить. Вывод apt-а годится только для визуального распарсивания очками юзера, тогда как apt-get - самое то для скриптов.
Ответить | Правка | Наверх | Cообщить модератору

217. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (217), 09-Мрт-20, 03:44 
Для скриптов особенно на скриптовых языках отличных от Bash уже давно есть биндинги к apt и не нужно ничего парсить, так как результат приходит в рантайме прямо классом. Другое дело, что для некоторых все еще страшно использовать ьакие сложные языки.
Ответить | Правка | Наверх | Cообщить модератору

271. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 21:41 
> еще страшно использовать ьакие сложные языки.

Особенно когда они ломаются чаще чем выхлоп apt :)

Ответить | Правка | Наверх | Cообщить модератору

234. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (234), 09-Мрт-20, 11:34 
> Не спешы благодарить. Вывод apt-а годится только для визуального распарсивания очками юзера,
> тогда как apt-get - самое то для скриптов.

Во-первых я писал для простого пользователя, и уж поди непростой, умеющий в скрипты на баше сам разберётся чем apt отличается от apt-get запросов. До поры в Дебиане, например, рекомендовался aptitude, сейчас снова рекомендуют apt, до этого, ещё раньше, в том же минте, стали рекомендовать варианты apt installl вместо apt-get install, и подобные.

На текущий момент, используя повсеместно apt, вы ничем не рискуете, и всё в системе отрабатывается правильно, тогда как apt-get отрабатывает далеко не всё.
Вывод: зачем использовать менее функциональный иснтрумент, после которого могут возникать ещё вопросы у системы, тем более когда в рекомендациях самих дистростроев прямо рекомендуют пользовать apt, это что, такое особое желание не слушать, что взрослые говорят, типа: лучше в дремучий тёмный лес отправиться, в ночь холодную... без шапки?!...

Ответить | Правка | К родителю #193 | Наверх | Cообщить модератору

220. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от iPony129412 (?), 09-Мрт-20, 05:45 
> apt-get забыть простому пользователю, потому что бывает оно не решает некоторые моменты, а apt решает

Ну так оно же явно пишет, даже выше засветилось:

> apt does not have a stable CLI interface. Use with caution in scripts.

Для apt вообще не проблема спросить «тут вот так и так, надо бы это или всё же это?».  Ввести предупреждение в любом месте. Потому что подразумевается, что его пользователь то самое. Если это в скрипте появится, то это может будет проблемой.

Предназначение разное.

Ответить | Правка | К родителю #38 | Наверх | Cообщить модератору

235. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от Аноним (235), 09-Мрт-20, 11:42 
>> apt-get забыть простому пользователю, потому что бывает оно не решает некоторые моменты, а apt решает
> Ну так оно же явно пишет, даже выше засветилось:
>> apt does not have a stable CLI interface. Use with caution in scripts.
> Для apt вообще не проблема спросить «тут вот так и так, надо
> бы это или всё же это?».  Ввести предупреждение в любом
> месте. Потому что подразумевается, что его пользователь то самое. Если это
> в скрипте появится, то это может будет проблемой.
> Предназначение разное.

Ипони в своём репертуаре, спросили чем использование голого шасси отличается от использования готового авто, а Ипони: ну, это, они какбэ оба на колёсах, в чём разница, ведь на авто стикер наклеен: водите с осторожностью?!

Ответить | Правка | Наверх | Cообщить модератору

39. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от ubuntuser (?), 08-Мрт-20, 11:52 
Что быстрее напишешь, то и правильно
Ответить | Правка | К родителю #29 | Наверх | Cообщить модератору

43. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (48), 08-Мрт-20, 11:59 
Вообще-то, apt-get а не apt get. Но уже давно можно просто apt install...
Ответить | Правка | К родителю #29 | Наверх | Cообщить модератору

49. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (49), 08-Мрт-20, 12:24 
При apt get install package установленный пакет сохраняется в кэше /var/cache/apt/archives, а при apt install package - нет.
Иногда нужно сохранить установленный пакет определенной версии, который потом может исчезнуть из репозитория.
Ответить | Правка | К родителю #29 | Наверх | Cообщить модератору

194. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (193), 08-Мрт-20, 23:52 
Это настраивается. Можно сохранять. Проблема  только что вот так сразу я не могу сказать как, надо луркать. Но я это делал. Чтобы не качать лишний раз когда десяток девайсов надо обновлять. Но когда слез с ростелекома, то стало фиолетово.
Ответить | Правка | Наверх | Cообщить модератору

228. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (224), 09-Мрт-20, 06:25 
> Иногда нужно сохранить установленный пакет определенной версии, который потом может исчезнуть
> из репозитория.

Есть такая забавная штука как debian archive. И он таки хранит ... если не всю историю пакетов, то по крайней мере большую ее часть.

Ответить | Правка | К родителю #49 | Наверх | Cообщить модератору

232. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от artenox (?), 09-Мрт-20, 10:37 
> debian archive хранит всю историю пакетов

Промежуточных пакетов часто нет по соображениям безопасности.

Ответить | Правка | Наверх | Cообщить модератору

272. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 21:43 
> Промежуточных пакетов часто нет по соображениям безопасности.

Какой еще безопасности? Их нет только для очень сильно экзотичных штук, которые релизятся сильно иначе чем обычная дебианская политика. Это походу было просто не предусмотрено конструкцией мирроринга. А так некромансеры могут хоть какой-нибудь джесси откопать или даже чего постарше.

Ответить | Правка | Наверх | Cообщить модератору

277. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (299), 09-Мрт-20, 23:37 
> Промежуточных пакетов нет только для очень сильно экзотичных штук

Firefox, например.

Ответить | Правка | Наверх | Cообщить модератору

289. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 11-Мрт-20, 02:37 
> Firefox, например.

Вот этого еще может быть, он слишком хаотичный. Но таких пакетов буквально несколько штук на все репы.

Ответить | Правка | Наверх | Cообщить модератору

236. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (235), 09-Мрт-20, 11:44 
> При apt get install package установленный пакет сохраняется в кэше /var/cache/apt/archives,
> а при apt install package - нет.
> Иногда нужно сохранить установленный пакет определенной версии, который потом может исчезнуть
> из репозитория.

Ага, а "иногда" после добавления реп пользуясь по привычке apt-get'ом мы получаем непонятки от системы, тогда как стоит лишь применить apt и всё норм, вывод: зачем придумывать себе лишние телодвижения, тем более набрать apt даже короче?!

Ответить | Правка | К родителю #49 | Наверх | Cообщить модератору

30. Скрыто модератором  –4 +/
Сообщение от Аноним (28), 08-Мрт-20, 11:38 
Ответить | Правка | Наверх | Cообщить модератору

40. Скрыто модератором  +2 +/
Сообщение от microcoder (ok), 08-Мрт-20, 11:53 
Ответить | Правка | Наверх | Cообщить модератору

42. Скрыто модератором  –1 +/
Сообщение от gogo (?), 08-Мрт-20, 11:58 
Ответить | Правка | К родителю #30 | Наверх | Cообщить модератору

85. Скрыто модератором  +/
Сообщение от Аноним (85), 08-Мрт-20, 15:00 
Ответить | Правка | Наверх | Cообщить модератору

241. Скрыто модератором  +1 +/
Сообщение от Аноним (241), 09-Мрт-20, 12:55 
Ответить | Правка | Наверх | Cообщить модератору

47. Скрыто модератором  +/
Сообщение от Fracta1L (ok), 08-Мрт-20, 12:09 
Ответить | Правка | К родителю #30 | Наверх | Cообщить модератору

70. Скрыто модератором  +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 13:56 
Ответить | Правка | Наверх | Cообщить модератору

81. Скрыто модератором  +2 +/
Сообщение от A.Stahl (ok), 08-Мрт-20, 14:42 
Ответить | Правка | Наверх | Cообщить модератору

32. Скрыто модератором  –8 +/
Сообщение от Аноним (32), 08-Мрт-20, 11:44 
Ответить | Правка | Наверх | Cообщить модератору

41. Скрыто модератором  +2 +/
Сообщение от Аноним (41), 08-Мрт-20, 11:55 
Ответить | Правка | Наверх | Cообщить модератору

51. Скрыто модератором  –2 +/
Сообщение от Аноним (51), 08-Мрт-20, 12:30 
Ответить | Правка | К родителю #32 | Наверх | Cообщить модератору

72. Скрыто модератором  –1 +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 13:58 
Ответить | Правка | Наверх | Cообщить модератору

74. Скрыто модератором  –2 +/
Сообщение от mikhailnov (ok), 08-Мрт-20, 14:10 
Ответить | Правка | К родителю #51 | Наверх | Cообщить модератору

84. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от JL2001 (ok), 08-Мрт-20, 14:57 
> Неюзабельное го*но. Будущее Linux за pamac. Лично мне, когда знакомился с Linux,
> было намного удобнее с pamac разобраться и запомнить всё необходимое.

будущее за nix, а твой pamac самозакопается в могилу из-за осознания своей убогости

Ответить | Правка | К родителю #32 | Наверх | Cообщить модератору

86. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (85), 08-Мрт-20, 15:01 
Будущее - за d1stri.
Ответить | Правка | Наверх | Cообщить модератору

102. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от JL2001 (ok), 08-Мрт-20, 16:11 
> Будущее - за d1stri.

не гуглится
о чём речь?

Ответить | Правка | Наверх | Cообщить модератору

114. "Выпуск пакетного менеджера APT 2.0"  –4 +/
Сообщение от Суп из потрошков (?), 08-Мрт-20, 16:43 
Будущее за голосовым и голографическим управлением, а этот пещерный птичий язык уже собирает манатки на выход. Но это в реальности. В человеческой вселенной.
Ответить | Правка | Наверх | Cообщить модератору

117. "Выпуск пакетного менеджера APT 2.0"  +3 +/
Сообщение от JL2001 (ok), 08-Мрт-20, 16:47 
> Будущее за голосовым и голографическим управлением, а этот пещерный птичий язык уже
> собирает манатки на выход. Но это в реальности. В человеческой вселенной.

ага, конешно
лидер по неоднозначности, иносказательности, запутыванию, взаимонепониманию - простой реальный человеческий язык

Ответить | Правка | Наверх | Cообщить модератору

124. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Суп из потрошков (?), 08-Мрт-20, 16:54 
Я же написал "в человеческой вселенной". Разве это ваша вселенная?
Ответить | Правка | Наверх | Cообщить модератору

165. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Michael Shigorinemail (ok), 08-Мрт-20, 20:08 
Илеван!
Ответить | Правка | Наверх | Cообщить модератору

214. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 02:39 
> Илеван!

Э-лэ-вэн! Элевэн!!!!

Ответить | Правка | Наверх | Cообщить модератору

127. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Crazy Alex (ok), 08-Мрт-20, 16:58 
Для плебса - скорее всего, ну да и чёрт с ним
Ответить | Правка | К родителю #114 | Наверх | Cообщить модератору

203. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Gannetemail (ok), 09-Мрт-20, 00:43 
Будущее за будущим!
Ответить | Правка | К родителю #114 | Наверх | Cообщить модератору

91. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от user90 (?), 08-Мрт-20, 15:27 
> будущее за nix

Это ты еще Guix'а не видел ;)

Ответить | Правка | К родителю #84 | Наверх | Cообщить модератору

106. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от JL2001 (ok), 08-Мрт-20, 16:19 
>> будущее за nix
> Это ты еще Guix'а не видел ;)

ну частично видел, но преимуществ не понял
кроме другого языка описания пакетов в чём достоинства?

Ответить | Правка | Наверх | Cообщить модератору

118. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от user90 (?), 08-Мрт-20, 16:48 
В языке! Можешь глянуть пример, что такое там описание пакета.
Ответить | Правка | Наверх | Cообщить модератору

172. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Wfhm (?), 08-Мрт-20, 20:51 
За Nix из под Bedrock Linux!
Ответить | Правка | К родителю #91 | Наверх | Cообщить модератору

88. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Бэтман (?), 08-Мрт-20, 15:17 
А ты случайно не о том пакмане говоришь, который даже «-y» не умеет?
Ответить | Правка | К родителю #32 | Наверх | Cообщить модератору

130. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от microcoder (ok), 08-Мрт-20, 17:12 
А что такое -y? Не --noconfirm случайно?
Ответить | Правка | Наверх | Cообщить модератору

208. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Бэтман (?), 09-Мрт-20, 02:23 
—noconfirm не всегда означает выбор «Yes». Часто «No» - это default
Ответить | Правка | Наверх | Cообщить модератору

89. "Выпуск пакетного менеджера APT 2.0"  –3 +/
Сообщение от user90 (?), 08-Мрт-20, 15:22 
Т. к. сейчас на Debian-based, то юзаю (наверно), но оно никогда не производило на меня впечатления серьезного ПРОМЫШЛЕННОГО инструмента. В отличии от того же zypper'а, который тут упоминали. Про поделки шапки, наверно еще и на петоне, даже вспоминать стремно))
Ответить | Правка | Наверх | Cообщить модератору

95. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от DerRoteBaron (ok), 08-Мрт-20, 15:43 
Чтобы поставить deb из файла с подтягиванием зависимостей, все ещё нужны внешние костыли?
Ответить | Правка | Наверх | Cообщить модератору

108. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от GentooBoy (ok), 08-Мрт-20, 16:30 
все по старому dpkg -i [pkg name] && apt-get install
Ответить | Правка | Наверх | Cообщить модератору

181. "Выпуск пакетного менеджера APT 2.0"  +4 +/
Сообщение от Аноним (181), 08-Мрт-20, 22:25 
Тащем-та уже сто лет как
apt install ./foo.deb
Ответить | Правка | Наверх | Cообщить модератору

233. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от artenox (?), 09-Мрт-20, 10:48 
> уже сто лет как
> sudo apt install foo.deb

Надо же не знал. Работает даже в Xenial. По старинке пользовался gdebi, который тоже поттягивает зависимости.
Оказывается gdebi не устанавливает рекомендованные зависимости, только основные. А apt install foo.deb устанавливает рекомендованные тоже (в минте может быть другое поведение). Чтобы было без них надо
sudo apt install --no-install-recommends foo.deb

Ответить | Правка | Наверх | Cообщить модератору

243. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (243), 09-Мрт-20, 13:08 
>> уже сто лет как
>> sudo apt install foo.deb
> Надо же не знал. Работает даже в Xenial. По старинке пользовался gdebi,
> который тоже поттягивает зависимости.
> Оказывается gdebi не устанавливает рекомендованные зависимости, только основные. А apt
> install foo.deb устанавливает рекомендованные тоже (в минте может быть другое поведение).
> Чтобы было без них надо
> sudo apt install --no-install-recommends foo.deb

Установку рекомендованных можно настроить и для apt, по поводу минта - там вообще хрен пойми чего сделали, я помнится, сидя на бунтах и по привычке пользуясь синаптиком, попробовал в минт, там синаптик вёл себя не так как привык, функционал был переделан в более ущербную сторону, оказалось - стандартное поведение синаптика ломало костыли минта, которыми они рулят пакетами, на вопрос, в их официальном канале, мне ответили, что синаптик в минте ведёт себя так, потому что так надо минтам, это норма, и никто не будет возвращать это ретроградное поведение, потому что это, видите ли, удобно и вы так привыкли, отвыкайте и начинайте пользоваться божественными минтами, отсталые луддиты!.. как-то так.

Ответить | Правка | Наверх | Cообщить модератору

157. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (159), 08-Мрт-20, 19:54 
> Чтобы поставить deb из файла с подтягиванием зависимостей, все ещё нужны внешние костыли?

Нет.

Ответить | Правка | К родителю #95 | Наверх | Cообщить модератору

97. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (97), 08-Мрт-20, 15:51 
downgrade так и не завезли?
Ответить | Правка | Наверх | Cообщить модератору

204. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Gannetemail (ok), 09-Мрт-20, 01:05 
Нет.
Ответить | Правка | Наверх | Cообщить модератору

229. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от debs (?), 09-Мрт-20, 07:14 
sudo apt install <package>=<version> чем не угодил? Хоть вверх, хоть вниз по версиям можно ходить.
Ответить | Правка | К родителю #97 | Наверх | Cообщить модератору

274. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от siu77 (ok), 09-Мрт-20, 21:53 
Для пакетов с одной-двумя зависимостями может и прокатит. Пробовал поставить версию libreoffice из старого стабильного - слишком много неудовлетворённых зависимостей. Такое впечатление, что быстрее установить oldstable чем так мучаться. Или я ошибаюсь?
Ответить | Правка | Наверх | Cообщить модератору

278. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от JL2001 (ok), 10-Мрт-20, 02:03 
> Для пакетов с одной-двумя зависимостями может и прокатит. Пробовал поставить версию libreoffice
> из старого стабильного - слишком много неудовлетворённых зависимостей. Такое впечатление,
> что быстрее установить oldstable чем так мучаться. Или я ошибаюсь?

я через аптитюд развлекался таким с год назад последний раз
указываешь одному пакету нужную версию (я для меса делал) и дальше понеслось само - аптитюд вообще походу считает что лучшее решение конфликта пакетов - выпилить облих, но если потыкать Х раз n - он предложит даунгрейды всех кого требуется
главное чтоб у всех зависимостей стоял флаг автоинстала, иначе перебирать предлогаемые варианты решения замучаешься

Ответить | Правка | Наверх | Cообщить модератору

297. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от siu77 (ok), 11-Мрт-20, 14:46 
Ну, не знаю. У меня в аптитьюд с даунгрейдом не срослось. Непонятно, когда и куда тыкать. А вот в консоли - ок.
Ответить | Правка | Наверх | Cообщить модератору

300. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от JL2001 (ok), 12-Мрт-20, 21:46 
> Ну, не знаю. У меня в аптитьюд с даунгрейдом не срослось. Непонятно,
> когда и куда тыкать. А вот в консоли - ок.

aptitude это консоль, или вы его запускаете без параметров? у него полный набор параметров, примерно как у apt

Ответить | Правка | Наверх | Cообщить модератору

301. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от siu77 (ok), 12-Мрт-20, 23:40 
>или вы его запускаете без параметров

Вообще-то, да. Aptitude - для того, чтобы понять что установлено, а что нет. Что еще похожего можно установить/удалить, и т.д. ИМХО, самый удобный инструмент из аналогичных. А apt-get, сейчас apt, для чего-то более сложного. Просто привычка. Ну, да, наверно можно и aptitude юзать как apt.

В этом смысле, я не совсем точно выразился в предыдущей реплике.

Ответить | Правка | Наверх | Cообщить модератору

296. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от siu77 (ok), 11-Мрт-20, 14:20 
> Для пакетов с одной-двумя зависимостями может и прокатит. Пробовал поставить версию libreoffice
> из старого стабильного - слишком много неудовлетворённых зависимостей. Такое впечатление,
> что быстрее установить oldstable чем так мучаться. Или я ошибаюсь?

Сделал проще, установил libreoffce-writer=1:5.2... и да, запустился. Спасибо за инфу.

Ответить | Правка | К родителю #274 | Наверх | Cообщить модератору

116. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (116), 08-Мрт-20, 16:46 
> Для криптографического хэширования задействованы реализации MD5, SHA1

Пока весь мир тщательно избавляется от устаревших и небезопасных алгоритмов они продолжают их использовать. Почему?

Ответить | Правка | Наверх | Cообщить модератору

121. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от A.Stahl (ok), 08-Мрт-20, 16:52 
Потому что библиотека, которую они используют для реализации этих функций, поддерживает данные алгоритмы.
Ответить | Правка | Наверх | Cообщить модератору

145. "Выпуск пакетного менеджера APT 2.0"  –5 +/
Сообщение от Аноним (145), 08-Мрт-20, 18:38 
Еще бы perl выпилили - было бы вообще супер. Старперы молчать!
Ответить | Правка | Наверх | Cообщить модератору

195. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (193), 09-Мрт-20, 00:03 
Я старпёр, но молчать не буду. Выпилить нах!
С перлом имел дело первый и последний раз 15 лет назад, когда какой-то чувак $200 предлагал за багу пофиксить. Я пофиксил и с тех пор со всякой хрени что оканчивается на .pl бегу как ошпаренный. Говнокод шопесдец.
Ответить | Правка | Наверх | Cообщить модератору

206. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (206), 09-Мрт-20, 02:01 
ещё потрахайтесь тут.
Ответить | Правка | Наверх | Cообщить модератору

209. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (145), 09-Мрт-20, 02:32 
В отношениях с перлом я куколд: люблю, когда с ним трахается кто-то другой.
Ответить | Правка | Наверх | Cообщить модератору

290. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 11-Мрт-20, 02:41 
> Еще бы perl выпилили - было бы вообще супер.

А он и не требуется именно apt/apt-get/его либам нигде, внезапно. Единственный кто его вообще каким-то боком хочет в минимальной системе - debconf. Да и тот по большому счету почти опционально (есть например cdebconf, хоть у него и странно зависимости прописаны, но вот ему перл совершенно точно не надо).

Ответить | Правка | К родителю #145 | Наверх | Cообщить модератору

163. "Выпуск пакетного менеджера APT 2.0"  –13 +/
Сообщение от Василий (??), 08-Мрт-20, 20:06 
Будущее за снап пакетами. Пакеты без изоляции должны отмереть.
Ответить | Правка | Наверх | Cообщить модератору

176. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от And (??), 08-Мрт-20, 21:29 
> Будущее за снап пакетами. Пакеты без изоляции должны отмереть.

К сожалению, это возможный развал сообществ.

Сейчас размер сообщества и необходимость быть связанными др. с др. дают какие-то гарантии качества и отсутсвия ненужного. За счёт взаимо пересечений.

В снэпах и флатпаках можно на полном автономе пилить любую вещь двойного назначения, и хомки будут ставить ставить это как из гугло-плея. Дальше, обжигаясь троянами, хомки захотят под защиту бренда размера гугла, защищающего их цензурой приложений в репо.

Раньше свободные люди для людей в репо принимали софт. А через снэп-флат паки это какой-либо бизнес-монополист не для людей, а для самого себя. Или у тебя нет гарантий, что твой софт без закладок.

Ответить | Правка | Наверх | Cообщить модератору

197. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Аноним (193), 09-Мрт-20, 00:07 
Это беда разработчиков, что они не могут запилить пакеты для дебиана и ещё полутора дистров. Впрочем, можно ограничиться только дебианом.
Ответить | Правка | Наверх | Cообщить модератору

246. "Выпуск пакетного менеджера APT 2.0"  +3 +/
Сообщение от Аноним (243), 09-Мрт-20, 13:17 
> Это беда разработчиков, что они не могут запилить пакеты для дебиана и
> ещё полутора дистров. Впрочем, можно ограничиться только дебианом.

Начнём с того, что разработчикам достаточно выкладывать своевременно сорцы и принимать патчи, если самому не успевается их делать, по желанию он может выкладывать статически слинкованный бинарь в стандартном архиве, и всё, всё это нытьё про то что разрабы не могут в зоопарк дистрибутивов это только вскукареки тралей и засланцев, адекватные разрабы никогда не должны были обслуживать этот зоопарк, ведь о нативном опакечивании его софтины заботятся смотрители конкртеного зоопарка - майнтейнеры, а вот эти снапы - хренапы и прочая ересь нужны как раз для суррогатов типа гуглоплея, аналог которых, спят и видят как впихнуть всякие копрорасты, и для развязывания рук всяким разрабам - неадекватам, которые не смотрят на версии либ, стабильные ли они, LTS, EOL или ещё чего, просто снап-снап и в продакшон и пофиг на рекомендации и коммуникации с другими разработчиками системы.

Ответить | Правка | Наверх | Cообщить модератору

219. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от IRASoldier_registered (ok), 09-Мрт-20, 05:26 
>В снэпах и флатпаках можно на полном автономе пилить любую вещь двойного назначения (...) обжигаясь троянами

Снэп, флатпак и прочий аппимидж - ты с блобом не попутал ли?

Ответить | Правка | К родителю #176 | Наверх | Cообщить модератору

244. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от And (??), 09-Мрт-20, 13:09 
>>В снэпах и флатпаках можно на полном автономе пилить любую вещь двойного назначения (...) обжигаясь троянами
> Снэп, флатпак и прочий аппимидж - ты с блобом не попутал ли?

Не. Дело в независимости всего пакета от остальной "жизни".

Никто, кроме нас, не знает о словах пакет, блоб. Хомка ставит из и-нета то, что туда кто-то принёс. При новых технологиях в магазин можно проносить любые модификации и не париться, что кто-то будет оценивать двойное назначение на пригодность людям. Или - просто не париться... Вот это и дают эти с. или ф. пэки. Это цель этих пэков.

Ответить | Правка | Наверх | Cообщить модератору

256. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от IRASoldier_registered (ok), 09-Мрт-20, 17:11 
>При новых технологиях в магазин можно проносить любые модификации и не париться, что кто-то будет оценивать двойное назначение на пригодность людям.

С какой стати? Чем магазин _принципиально_ отличается от репозитория? Как запаковывание в snap или flatpak исключает выкладку исходников и возможность самостоятельной сборки желающими? Те же сторонние репозитории несут риск "двойного назначения". Тот же официальный репозиторий, контролируемый майнтейнерами дистрибутива ничем не отличается с точки зрения контроля/доставки от официального магазина. Только названием.

>цель этих пэков

...песочница и решение проблемы с dependency hell. Всё.

А параноики и раньше собирали из исходников, для них, на самом деле, не изменилось ни-че-го :-)

Ответить | Правка | Наверх | Cообщить модератору

263. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от And (??), 09-Мрт-20, 18:41 
- Хомеры не будут собирать из сырцов, будут не глядя ставить бинарники.
- Содержимое бинарей кроме владельца сайта никто не оценивал.
- Выходит, не было проверки ещё кем-то.
- В самом самом начале распространения узнать и проверить могут или большой бизнес (с целями создать деньго-добывающую вещь, несовпадающую с пользовательскими интересами) или сообщество.

Была/есть проблема, тайные знания "как собрать код". И с паками выходит - сырцы есть, а собрать мало кто способен (часто не работают инструкции; неважно остальное кроме не-работают). В дистрах же код в репах взаимосогласован и его относительно легко собирать необладая супер знаниями. Одиночку всегда не слышно в суете забот хомера.

>>цель этих пэков
>...песочница и решение проблемы с dependency hell. Всё.

Исходная - может быть. Хорошее решение закрывает сразу несколько целей. Паки можно использовать иначе. И тогда теряется вовлечённость людей.

С паками можно сообщество обойти. Что позволяет малым коллективом пилить двойные вещи. Пример: 1000527 приложений "Фонарик" в магазине на смартфоне и там вылавливали фонарики-не-фонарики.

Ответить | Правка | Наверх | Cообщить модератору

264. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от IRASoldier_registered (ok), 09-Мрт-20, 20:01 
> - Хомеры не будут собирать из сырцов, будут не глядя ставить бинарники.

Они и так это делают. И далеко, далеко не только хомеры.

> - Содержимое бинарей кроме владельца сайта никто не оценивал.

Кто ж параноикам злобный баклан, кроме них самих? Кто мешает провести аудит? Опять же - возможность установки бинарника не из deb/rpm/... и не из репозитория есть и сейчас. И этой возможностью тоже пользуются многие.

> бизнес (...) с целями создать деньго-добывающую вещь, несовпадающую с пользовательскими интересами

Популярный софт под Linux подпадающий под эту категорию, с пруфами вредоносности - в студию или бред сивой кобылы.

> 1000527 приложений "Фонарик" в магазине на смартфоне и там вылавливали фонарики-не-фонарики

А некоторые арчеводы примерно то же рассказывают про AUR.

Ответить | Правка | Наверх | Cообщить модератору

265. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от And (??), 09-Мрт-20, 20:55 
Android.
Ответить | Правка | Наверх | Cообщить модератору

266. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от IRASoldier_registered (ok), 09-Мрт-20, 21:21 
Что с ним не так, кроме того, что не столлманоугоден? Ну да, мусорного софта много, да, модерация Google Play часто фейлит, и да, часть софта не мусор, но кодеры были слишком ленивы, чтобы по умолчанию не затребовать все возможные разрешения. "Шпионские функции"... Ну, не вижу смысла обращать на них внимание - то, что не стучит тов. майору просто хочет тебе что-то продать, а с этим справляются блокировщики рекламы. Не установить же себе случайно реальный вредонос не так уж и сложно - просто ставить не все подряд, а после вдумчивого чтения обзоров из разных источников.

Ответить | Правка | Наверх | Cообщить модератору

286. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от And (??), 10-Мрт-20, 17:59 
2020-03-10 17:58 +03:00 [err] Trolling detected several times a day. Aborting.

Пока!

Ответить | Правка | Наверх | Cообщить модератору

298. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от IRASoldier_registered (ok), 11-Мрт-20, 14:54 
> Trolling detected

Ложное срабатывание.


Ответить | Правка | Наверх | Cообщить модератору

285. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от КО (?), 10-Мрт-20, 16:16 
>...песочница и решение проблемы с dependency hell. Всё.

не решение, а перенос ее на потом. Чтоб когда жахнула было непонятно почему и как.

Приложение в песочнице со своими либами хорошо до тех пор, пока оно живет в замкнутом мирке, а как только оно полезет обмениваться данными с приложением у которого та же либа другой версии и структуры данных у них разные, вот тут-то и жахнет.

Ответить | Правка | К родителю #256 | Наверх | Cообщить модератору

199. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Ddf (?), 09-Мрт-20, 00:08 
Снап говно полное, к тому же зависящее от убунты. Flatpak во всех отношениях лучше.
Ответить | Правка | К родителю #163 | Наверх | Cообщить модератору

212. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (-), 09-Мрт-20, 02:37 
> Снап говно полное, к тому же зависящее от убунты. Flatpak во всех
> отношениях лучше.

Я вот из-за всего этого на дебиан и свалил. Зачем мне виндус с setup.exe с линуксным ядром? Apt как раз очень хорошо меня от управления пакетами разгружает - и я уверен что майнтайнеры будут по крайней мере следовать вполне конкретным политикам :). А что будут вытворять рандомные рожи с флатпаками и снапами - черт бы их там знает.

Ответить | Правка | Наверх | Cообщить модератору

201. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от JL2001 (ok), 09-Мрт-20, 00:26 
> Будущее за снап пакетами. Пакеты без изоляции должны отмереть.

это от каких багов и технических отверстий в древних версиях либ, притащеных внутри снапа, снап изолирует пользователя и систему?

Ответить | Правка | К родителю #163 | Наверх | Cообщить модератору

221. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от iPony129412 (?), 09-Мрт-20, 05:57 
> древних версиях либ

Вот это как-то не очень.
Зачастую и так бывает:
https://www.opennet.ru/opennews/art.shtml?num=51161

TLDR: пользователи всяких там Windows, macOS, snap в Ubuntu оказались защищены. А те, кто по заветам дедов сидели со стабильными репами имели дырку долгоооое время. Ну не сказали в проекте, что исправили уязвимость.

А так обычно всё друг-друга компенсирует. Если приложение использует дырявые версии либ, это является угрозой, и автором плевать, то такой софт и есть, что лучше его не использовать. И конкретная контрибуция как-то в этом вопросе волшебно не поможет.

Ответить | Правка | Наверх | Cообщить модератору

248. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (248), 09-Мрт-20, 14:45 
>[оверквотинг удален]
> Вот это как-то не очень.
> Зачастую и так бывает:
> https://www.opennet.ru/opennews/art.shtml?num=51161
> TLDR: пользователи всяких там Windows, macOS, snap в Ubuntu оказались защищены. А
> те, кто по заветам дедов сидели со стабильными репами имели дырку
> долгоооое время. Ну не сказали в проекте, что исправили уязвимость.
> А так обычно всё друг-друга компенсирует. Если приложение использует дырявые версии либ,
> это является угрозой, и автором плевать, то такой софт и есть,
> что лучше его не использовать. И конкретная контрибуция как-то в этом
> вопросе волшебно не поможет.

И причём тут халатное "не сказали" и метод опакечивания, дырявым может быть как нативный пакет, так и снап, если не сказали, не было опубликовано, это косяк разраба софтины, если при огласке не завезли в дистр это косяк майнтейнера, но Ипони в своём репертуаре, если в доме нагадили на пол, виновато конкретное покрытие пола, а не то что кто-то нагалил!

Ответить | Правка | Наверх | Cообщить модератору

250. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от iPony129412 (?), 09-Мрт-20, 15:30 
учись читать


Ответить | Правка | Наверх | Cообщить модератору

207. "Выпуск пакетного менеджера APT 2.0"  +4 +/
Сообщение от Аноним (206), 09-Мрт-20, 02:08 
снап живёт своей жизнью, апдейты практически не контролируются пользователем, их не видно, запросов на обновление не выводится, откат версий в убунте не работает. Если вам это нравится - купите себе десятку. Я же, до сих пор, предпочитаю читать список изменений и ставить только то, что мне нужно.
Ответить | Правка | К родителю #163 | Наверх | Cообщить модератору

211. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (-), 09-Мрт-20, 02:35 
> Будущее за снап пакетами. Пакеты без изоляции должны отмереть.

Толку то с изоляции, если это setupexe по сути? Типа, пусть вырусы только в своем загончике тусуются и майнят коины только там? :)

Ответить | Правка | К родителю #163 | Наверх | Cообщить модератору

213. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (145), 09-Мрт-20, 02:37 
В дополнение к вышесказанному программы в snap запускаются медленнее. Например, chromium, который теперь поставляется в Ubuntu только в snap (debian пакет ставит snap) стартует медленнее.

Да и многие программы из snapcraft используюь classic confinement (https://snapcraft.io/docs/snap-confinement), что лишает безопасности.

Ответить | Правка | К родителю #163 | Наверх | Cообщить модератору

273. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (-), 09-Мрт-20, 21:47 
> snap) стартует медленнее.

Ясен фиг - он теперь не юзает системные либы от слова вообще. И должен ВСЕ их при старте С НОЛЯ вгрузить. А еще это, вы только подумайте, памяти больше жрет - sharing памяти между либами при этом конечно же не случается. Даже если код и типа-идентичный, узнать об этом для физически разных бинарей слишком канительно.

Ответить | Правка | Наверх | Cообщить модератору

167. Скрыто модератором  –2 +/
Сообщение от Аноним (167), 08-Мрт-20, 20:14 
Ответить | Правка | Наверх | Cообщить модератору

175. Скрыто модератором  –2 +/
Сообщение от And (??), 08-Мрт-20, 21:14 
Ответить | Правка | Наверх | Cообщить модератору

177. "Выпуск пакетного менеджера APT 2.0"  +1 +/
Сообщение от Аноним (177), 08-Мрт-20, 21:51 
Я слышал APT вымер и все перешли на Snap.
Ответить | Правка | Наверх | Cообщить модератору

200. "Выпуск пакетного менеджера APT 2.0"  –2 +/
Сообщение от Аноним (193), 09-Мрт-20, 00:11 
Тебя обманули. Скажу по секрету: убунта - всё.
Ответить | Правка | Наверх | Cообщить модератору

258. "Выпуск пакетного менеджера APT 2.0"  +2 +/
Сообщение от Аноним (-), 09-Мрт-20, 17:53 
15 лет уже слышу "убунта - всё". А на деле живее всех выжих.
Ответить | Правка | Наверх | Cообщить модератору

210. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (-), 09-Мрт-20, 02:33 
> Я слышал APT вымер и все перешли на Snap.

Это убунта стала страдать фигней какой-то. И какие там "все" - кто ж его знает.

Ответить | Правка | К родителю #177 | Наверх | Cообщить модератору

180. "Выпуск пакетного менеджера APT 2.0"  –1 +/
Сообщение от IdeaFixemail (ok), 08-Мрт-20, 22:10 
Пока есть pkgsrc, всё остальное как минимум - не самое плохое, но блин... вот чем им маски и регекспы не угодили? Ну черт с ним, только маски?!
Ответить | Правка | Наверх | Cообщить модератору

283. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от Аноним (282), 10-Мрт-20, 16:09 
банально - модные-современные программисты на смузи не умеют ни маски, ни регекспы. Тем более не умеют они работать в консоли, есть же ж прекрасный PakageKit (или что там сегодня модно?)

Поэтому не видят ничего плохого в копипасте кода из мертвого aptitude.

Ответить | Правка | Наверх | Cообщить модератору

287. "Выпуск пакетного менеджера APT 2.0"  +/
Сообщение от IdeaFixemail (ok), 10-Мрт-20, 21:00 
> банально - модные-современные программисты на смузи не умеют ни маски, ни регекспы.
> Тем более не умеют они работать в консоли, есть же ж
> прекрасный PakageKit (или что там сегодня модно?)
> Поэтому не видят ничего плохого в копипасте кода из мертвого aptitude.

Блин, что может быть проще масок...

Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру